<?xml version="1.0" encoding="utf-8"?>
<!--
  For more information on how to configure your ASP.NET application, please visit
  https://go.microsoft.com/fwlink/?LinkId=301880
  -->
<configuration>
  <configSections>
    <section name="enterpriseLibrary.ConfigurationSource" type="Microsoft.Practices.EnterpriseLibrary.Common.Configuration.ConfigurationSourceSection, Microsoft.Practices.EnterpriseLibrary.Common, Version=6.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" requirePermission="false" />
    <sectionGroup name="applicationSettings" type="System.Configuration.ApplicationSettingsGroup, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" >
      <section name="Vendas.TGV.Portal.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
    </sectionGroup>
  </configSections>
  <enterpriseLibrary.ConfigurationSource selectedSource="File-based Configuration Source" parentSource="System Configuration Source">
    <sources>
      <add name="System Configuration Source" type="Microsoft.Practices.EnterpriseLibrary.Common.Configuration.SystemConfigurationSource, Microsoft.Practices.EnterpriseLibrary.Common, Version=6.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" />
      <add name="File-based Configuration Source" type="Microsoft.Practices.EnterpriseLibrary.Common.Configuration.FileConfigurationSource, Microsoft.Practices.EnterpriseLibrary.Common, Version=6.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" filePath="C:\Framework2008\Config\Vendas.TGV.Portal.config" />
    </sources>
    <redirectSections>
      <add sourceName="File-based Configuration Source" name="loggingConfiguration" />
      <add sourceName="File-based Configuration Source" name="dataConfiguration" />
      <add sourceName="File-based Configuration Source" name="policyInjection" />
      <add sourceName="File-based Configuration Source" name="connectionStrings" />
    </redirectSections>
  </enterpriseLibrary.ConfigurationSource>
  <appSettings>
    <add key="webpages:Version" value="3.0.0.0" />
    <add key="webpages:Enabled" value="false" />
    <add key="ClientValidationEnabled" value="true" />
    <add key="UnobtrusiveJavaScriptEnabled" value="true" />
    <!-- Modo de desenvolvmento - 1 para DSV e 0 para PRD -->
    <add key="MODODESENVOLVIMENTO" value="0" />
    <!-- Domínio em que a aplicação tentará fazer o Login, separado por virgula -->
    <add key="CAMINHO_LDAP" value="172.16.14.93" />
    <!-- Modo de desenvolvimento - URL do Portal -->
    <add key="URLSISTEMAMODODESENVOLVIMENTO" value="http://localhost:1168" />
    <!-- Porta LDAP em que a aplicação tentará fazer o Login -->
    <add key="PORTA_LDAP" value="636" />
    <!-- DN em que a aplicação tentará fazer o Login -->
    <add key="DISTINGUISHEDNAME_LDAP" value="DC=MARTINS,DC=COM,DC=BR" />
    <!-- Grupos autorizados no AD para acesso ao sistema -->
    <add key="GRUPOSAUTORIZADOS" value="VENDAS.TGV.PORTAL" />
    <!-- -->
    <add key="aspnet:UpdatePanelMaxScriptLength" value="2147483647" />
    <add key="aspnet:MaxJsonDeserializerMembers" value="2147483647" />
    <add key="MvcSiteMapProvider_IncludeAssembliesForScan" value="" />
    <add key="MvcSiteMapProvider_UseExternalDIContainer" value="false" />
    <add key="MvcSiteMapProvider_ScanAssembliesForSiteMapNodes" value="true" />
    <add key="stieContato" value="http://ww3.martins.com.br/VENDAS.TGV.CONTRATO/Paginas/Contrato/Index"/>
    <!--<add key="stieContato" value="http://localhost:3999/Paginas/Contrato/Index" />-->
    <add key="stieAprovacao" value="http://ww3.martins.com.br/VENDAS.TGV.PORTAL/Paginas/Aprovacao/Index" />
    <add key="SisBoleto" value="http://www.martins.com.br/FaturamentoServico.Web/ImprimeRPSBoleto.aspx?ID=" />
    <!--<add key="codigoAprovador" value="51635" />-->
    <add key="codigoAprovador" value="42683"/>
    <add key="pathCreateFiles" value="~/Docs" />

    <!-- API CONFIGURATION -->
    <add key="urlApiToken" value="https://ssd.martins.com.br/oauth/access-token" />
    <add key="urlApi" value="https://ssd.martins.com.br/SERVICEDESK.RECURSOCLIENTEAPI/RecursoCliente?codCliente=" />
    <!--***-->

    <!-- API SDM -->
    <add key="pathCredenciais" value="C:\Framework2008\Config\Vendas.TGV.Portal.config" />
    <!--***-->

    <!--tirar ESSES PARAMETROS DE CAMINHO DO CONTRATO-->

    <add key="caminhoTemplateContratoVenda" value="c:\sistemas\DocContratosTGV\Templates" />
    <add key="caminhoTemplateContratoVendaBackup" value="c:\sistemas\DocContratosTGV\Templates\backup" />
    <add key="caminhoContratoClienteAceite" value="c:\sistemas\DocContratosTGV\Clientes" />
    <add key="caminhoContratoClienteAceiteBackup" value="c:\sistemas\DocContratosTGV\Clientes\backup" />
    <!-- ate aqui para apagar-->
    <add key="caminhoContratoTemplateEmail" value="~/Templates/TemplateEmailContrato.html" />
    <add key="caminhoContratoTemplateEmailAprovacao" value="~/Templates/TemplateEmailAprovacaoDesconto.html" />
    <add key="caminhoContratoTemplateEmailRespostaAprovacao" value="~/Templates/EmailAprovacao.html" />
    <add key="caminhoContratoTemplateEmail2" value="~/Templates/TemplateEmailContrato2.html" />
    <add key="caminhoTemplateBoletoEmail" value="~/Templates/TemplateEmailBoleto.html" />
    <add key="caminhoContratoTemplateEmail3" value="~/Templates/TemplateEmailContrato3.html" />
    <add key="caminhoContratoTemplateEmail4" value="~/Templates/TemplateEmailContrato4.html" />
    <add key="caminhoDocumentoTemplateEmail" value="~/Templates/TemplateEmailDocumento.html" />
	<add key="caminhoTemplateEmailDocumento" value="~/Templates/TemplateEmailDocumento.html" />
    <add key="codigosEmail2" value="14;15;16;17;19;20" />
    <add key="codigosServicoQTD" value="[10,11]" />
    <add key="codigosGrupFatSemcontrato" value="19" />

    <!--PARAMETROS FORÇAR VENDA-->
    <add key="codigoConciliador" value="[71153,68474,67051,98606,51635,98961]" />
    <!--PARAMETROS ENVIO E-MAIL-->
    <add key="ServidorEmail" value="172.16.15.23"/>
    <add key="PortaServidorEmail" value="587"/>
    <add key="EmailAplicacao" value="tgv@martins.com.br"/>
    <add key="NomeEmailAplicacao" value="Tecnologia e Gestão do Varejo"/>
    <add key="SenhaEmailAplicacao" value="GoNHzcEjHAOJFc6eZAmB"/>
    <add key="HostEmailAplicacao" value="172.16.15.23"/>
    <add key="EmailsDesenvolvimentoEnviar" value="leonardo.caixeta@martins.com.br"/>
    <add key="EmailsCopiaContratos" value="leonardo.caixeta@martins.com.br"/>
    <!--FIM PARAMETROS E-MAIL-->


    <!--FIM PARAMETROS FTPS-->
    <add key="PathTemp" value="TempImages" />
    <add key="PathImagesOriginal" value="ProdutosOriginal"/>
    <add key="PathFornecedores" value="Fornecedores"/>
    <add key="HostPathOriginal" value="QABaixa" />

    <!--usuario imagens central negocios-->
    <add key="HostnameImages" value="172.16.14.36"/>
    <add key="UsernameImages" value="portaltgv"/>
    <add key="PasswordImages" value="N0teK9ius####Ksiskeicxq"/>
    <add key="ProcessamentoAqruivoFtps" value="UTG007/Arquivos/Processar"/>
                                    
    <!--Propriedades Chilkat-->
    <add key="FtpPassive" value="false"/>
    <!--SERVIDOR = TRUE-->
    <add key="PathUnlock" value="c:\framework2008\config\Chilkat.config"/>
    <add key="ChilkatUnlockKey" value="ChilkatUnlockCode" />
    
    <!--FIM PARAMETROS FTPS-->
    
    <add key="MvcSiteMapProvider_IncludeAssembliesForScan" value="Vendas.TGV.Portal" />
  </appSettings>
  <system.web>
    <compilation debug="true" targetFramework="4.6" />
    <httpRuntime targetFramework="4.6" />
    <globalization culture="pt-BR" uiCulture="pt-BR" requestEncoding="utf-8" responseEncoding="utf-8" responseHeaderEncoding="utf-8" fileEncoding="utf-8" enableClientBasedCulture="true" enableBestFitResponseEncoding="true" />
    <httpModules>
      <add name="ApplicationInsightsWebTracking" type="Microsoft.ApplicationInsights.Web.ApplicationInsightsHttpModule, Microsoft.AI.Web" />
    </httpModules>
    <customErrors mode="Off" />
    <pages>
      <namespaces>
        <add namespace="MvcSiteMapProvider.Web.Html" />
        <add namespace="MvcSiteMapProvider.Web.Html.Models" />
      </namespaces>
    </pages>
    <sessionState mode="InProc" timeout="120" />
  </system.web>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="Newtonsoft.Json" culture="neutral" publicKeyToken="30ad4fe6b2a6aeed" />
        <bindingRedirect oldVersion="0.0.0.0-6.0.0.0" newVersion="6.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.Optimization" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="1.0.0.0-1.1.0.0" newVersion="1.1.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="WebGrease" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="0.0.0.0-1.5.2.14234" newVersion="1.5.2.14234" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.Helpers" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="1.0.0.0-3.0.0.0" newVersion="3.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.WebPages" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="1.0.0.0-3.0.0.0" newVersion="3.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.Mvc" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="0.0.0.0-5.2.3.0" newVersion="5.2.3.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Net.Http" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.1.1.0" newVersion="4.1.1.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Diagnostics.DiagnosticSource" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.1.0" newVersion="4.0.1.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="DocumentFormat.OpenXml" publicKeyToken="8fb06cb64d019a17" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-2.8.1.0" newVersion="2.8.1.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.IO.Compression" publicKeyToken="b77a5c561934e089" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.1.2.0" newVersion="4.1.2.0" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
  <system.webServer>
    <validation validateIntegratedModeConfiguration="false" />
    <modules>
      <remove name="ApplicationInsightsWebTracking" />
      <add name="ApplicationInsightsWebTracking" type="Microsoft.ApplicationInsights.Web.ApplicationInsightsHttpModule, Microsoft.AI.Web" preCondition="managedHandler" />
      <remove name="UrlRoutingModule-4.0" />
      <add name="UrlRoutingModule-4.0" type="System.Web.Routing.UrlRoutingModule" />
    </modules>
    <staticContent>
      <mimeMap fileExtension="woff" mimeType="application/font-woff" />
      <mimeMap fileExtension="woff2" mimeType="application/font-woff" />
    </staticContent>
    <defaultDocument enabled="true">
      <files>
        <clear />
        <add value="Default.html" />
      </files>
    </defaultDocument>
    <security>
      <requestFiltering>
        <requestLimits maxAllowedContentLength="4294967295" />
      </requestFiltering>
    </security>
    <handlers>
      <remove name="ExtensionlessUrlHandler-Integrated-4.0" />
      <remove name="OPTIONSVerbHandler" />
      <remove name="TRACEVerbHandler" />
      <add name="ExtensionlessUrlHandler-Integrated-4.0" path="*." verb="*" type="System.Web.Handlers.TransferRequestHandler" preCondition="integratedMode,runtimeVersionv4.0" />
    </handlers>
  </system.webServer>
  <system.serviceModel>
    <bindings />
    <client />
  </system.serviceModel>
  <applicationSettings>
    <Vendas.TGV.Portal.Properties.Settings>
      <setting name="Vendas_TGV_Portal_wsNFSe_wsNFSe" serializeAs="String">
        <value>http://ntmrt682.martins.com.br/NFSe/wsNFSe.asmx</value>
      </setting>
    </Vendas.TGV.Portal.Properties.Settings>
  </applicationSettings>
</configuration>
